Extending Qt Creator Manual | TypeDescriptionReader

Extending Qt Creator Manual 4.5.2

# TypeDescriptionReader Class

(QmlJS::TypeDescriptionReader)

- List of all members, including inherited members

## Public Functions

| TypeDescriptionReader(const QString &fileName, const QString &data)
| ~TypeDescriptionReader()
QString | errorMessage() const
QString | warningMessage() const
bool | operator()(QHash<QString, LanguageUtils::FakeMetaObject::ConstPtr> *objects, QList<ModuleApiInfo> *moduleApis, QStringList *dependencies)

## Member Function Documentation

### TypeDescriptionReader::TypeDescriptionReader(const QString &fileName, const QString &data)

Default constructs an instance of TypeDescriptionReader.

### TypeDescriptionReader::~TypeDescriptionReader()

Destroys the instance of TypeDescriptionReader.

### QString TypeDescriptionReader::errorMessage() const

### QString TypeDescriptionReader::warningMessage() const

### bool TypeDescriptionReader::operator()(QHash<QString, LanguageUtils::FakeMetaObject::ConstPtr> *objects, QList<ModuleApiInfo> *moduleApis, QStringList *dependencies)